Security Enhanced Linux Reference Policy

# Layer: admin

## Module: sosreport

Interfaces

### Description:

Generate debugging information for system.

### Interfaces:

sosreport_append_tmp_files( domain )

##### Summary

Append sosreport temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sosreport_delete_tmp_files( domain )

##### Summary

Delete sosreport temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sosreport_domtrans( domain )

##### Summary

Execute a domain transition to run sosreport.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sosreport_read_tmp_files( domain )

##### Summary

Read sosreport temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sosreport_role( role , domain )

##### Summary

Role access for sosreport.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

sosreport_run( domain , role )

##### Summary

Execute sosreport in the sosreport domain, and allow the specified role the sosreport domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

Return